> ## Documentation Index
> Fetch the complete documentation index at: https://docs.starmonitors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Stock

> Check stock status for a product at a specific store



## OpenAPI

````yaml POST /stock
openapi: 3.0.1
info:
  title: Star Monitors API
  description: API for accessing Star Monitors stock data
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.starmonitors.com
security:
  - apiKeyAuth: []
paths:
  /stock:
    post:
      description: Check stock status for a product at a specific store
      requestBody:
        description: Stock check request parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StockRequest'
        required: true
      responses:
        '200':
          description: Stock status response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StockResponse'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    StockRequest:
      required:
        - storeName
        - upc
        - zipcode
      type: object
      properties:
        storeName:
          description: Name of the store (e.g., 'walmart')
          type: string
          example: walmart
        upc:
          description: UPC of the product
          type: string
          example: '622356633604'
        zipcode:
          description: Zipcode to search near
          type: string
          example: '10036'
    StockResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Whether the request was successful
        message:
          type: string
          description: Status message
        stores:
          type: array
          items:
            type: object
            properties:
              zip:
                type: string
              address:
                type: string
              city:
                type: string
              price:
                type: number
                format: float
              storeUrl:
                type: string
              backRoom:
                type: integer
              salesFloor:
                type: integer
              id:
                type: string
              state:
                type: string
              aisles:
                type: string
      example:
        success: true
        message: Found 27 store(s) with stock
        stores:
          - zip: '07852'
            address: 461 Rt 10 Suite A100
            city: Ledgewood
            price: 169
            storeUrl: https://www.walmart.com/store/3912
            backRoom: 0
            salesFloor: 2
            id: '3912'
            state: NJ
            aisles: H40-5
          - zip: '11735'
            address: 965 Broadhollow Rd
            city: Farmingdale
            price: 169
            storeUrl: https://www.walmart.com/store/5295
            backRoom: 1
            salesFloor: 5
            id: '5295'
            state: NY
            aisles: H29-9
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````